routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::resource('movies','App\Http\Controllers\MovieController');

app/Models/Movie.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Movie extends Model
{
    use HasFactory;
    protected $fillable =[
        'name','review','rating',
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/MovieController.php
<?php

namespace App\Http\Controllers;

use App\Models\Movie;
use Illuminate\Http\Request;

class MovieController extends Controller
{
    public function index()
    {
        $movies=Movie::latest()->paginate(5);
        return view('movies.index',compact('movies'))
        ->with('i',(request()->input('page',1)-1)*5);
    
    }
    
    public function create()
    {
        return view('movies.create');
    }
    
    
    public function store(Request $request)
    {
        $request->validate([
        'name'=>'required',
        'review'=>'required',
        'rating'=>'required',
    
    ]);
    Movie::create($request->all());
    
        return redirect()->route('movies.index')
        ->with('success', 'Students created successfully.');
    }
    
    
    
    public function edit(Movie $movies)
    {
    
        return view('movies.edit',compact('movies'));
    }
    
        public function update(Request $request,Movie $movies)
    {
        $request->validate([
    
    ]);
    
        $movies->update($request->all());
    
        return redirect()->route('movies.index')
        ->with('success','Review Successfully Updated');
    
    }
    
        public function destroy(Movie $movies)
    {
        $movies->delete();
    
        return redirect()->route('movies.index')
        ->with('success','Review Deleted');
    
    }
}

resources/views/movies/Create.blade.php
<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4">
  <div class="container-fluid">
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0 mx-auto">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="#">The Martian Movie Review</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
<!--Navbar-->
@extends('movies.layout')
@section('content')
<div class="container-fluid">
    <h1>Write A Review</h1>
    @if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

    <form action="{{ route('movies.store') }}" method="POST">
        @csrf
        <div class="d-flex flex-column">
            <div class="p-2">
                <div class="form-group">
                    <strong>Name:</strong>
                    <input type="text" name="name" class="form-control" placeholder="Name">
                </div>
            </div>
            <div class="p-2">
                <div class="form-group">
                    <strong>Review</strong>
                    <textarea class="form-control" name="review" id="exampleFormControlTextarea1"
                        placeholder="Write Your Review" rows="3"></textarea>
                </div>
            </div>
            <div class="p-2">
                <div class="form-group">
                    <strong>Rating</strong>
                    <input type="text" name="rating" class="form-control" placeholder="Rating">
                </div>
            </div>
        </div>
		<div class="btn-groups">
    <div class="row justify-content-around">
        <div class="col-md-2">
		<a class="btn btn1 btn-primary" href="{{ route('movies.index') }}">Back</a>
        </div>
        <div class="col-md-2">
			<button type="submit" class="btn btn1 btn-primary">Submit</button>
        </div>
    </div>
</div><!--btn-groups-->
    </form>
    @endsection
</div>
<!--Container-->

resources/views/movies/Edit.blade.php
@extends('movies.layout')

@section('content')

	<dic class="row align-items-center">
	<div class="col-lg-12 margin-tb">
	<div class="pull-left">

	<h2 class="text-center pt-5"> Edit Account</h2>
</div>
	<div class="pull-right">
	</div>
	
</div>
</div>

@if ($errors->any())
	<div class="alert alert-danger">
	<strong>UH OH!</strong>There's a problem with your input! <br><br>

	<ul>

	@foreach ($errors->all() as $error)

	<li>{{ $error }}</li>

	@endforeach
</ul>
</div>
@endif

<form action="{{ route('movies.update',$movies->id) }}" method="POST">
@csrf

 @method('PUT')

	<div class="row">
	<div class="col-xs-12 col-sm-12 col-md-12">
	<div class="form-group">
	<strong>Account Name:</strong>
	<input type="text" name="name" value="{{ $movies->name }}"
	class="form-control" placeholder="Account">

</div>
</div>

	<div class="col-xs-12 col-sm-12 col-md-12">
	<div class="form-group">
	<strong>Level:</strong>

	<input type="text" name="review" value="{{ $movies->review }}"
class="form-control" placeholder="Level">


</div>
</div>

<div class="col=xs=12 col-sm-12 col-md-12">
	
	<div class="form-group">
	<strong>Email</strong>
	<input type="text" name="rating" value="{{ $movies->rating }}" class="form-control" placeholder="Email">
</div>
</div>

	<div class="container">
		<div class="row justify-content-between">
			<div class="col-md-2">
			<a class="btn btn-primary" href="{{ route('movies.index') }}">Back</a>
			</div>
			<div class="col-md-2">
			<button type="submit" class="btn btn-primary">Submit</button>
			</div>
			
		</div>
	</div>
</div>

</form>

@endsection

resources/views/movies/Index.blade.php
<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4">
  <div class="container-fluid">
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0 mx-auto">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="#">The Martian Movie Review</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
<!--Navbar End-->
@extends('movies.layout')
@section('content')
<div class="container">
<!--Movie Card-->
    <div class="card mb-4 border border-dark" style="height: auto; width: 100%;">
         <div class="img-con">
         <img src="/img/MartianCovert.jpg" class="img-fluid img card-img-top" alt="The Martian Poster">
         </div>
        <div class="card-body ">
            <h5 class="card-title">The Martian (2015)</h5>
            <p class="card-text">During a manned mission to Mars, Astronaut Mark Watney is presumed dead after a fierce storm and left behind by his crew. But Watney has survived and finds himself stranded and alone on the hostile planet. With only meager supplies, he must draw upon his ingenuity, wit and spirit to subsist and find a way to signal to Earth that he is alive. Millions of miles away, NASA and a team of international scientists work tirelessly to bring "the Martian" home, while his crewmates concurrently plot a daring, if not impossible, rescue mission. As these stories of incredible bravery unfold, the world comes together to root for Watney's safe return.</p>
            <a class="btn btn-success" href="{{ route('movies.create') }}">Write a Review</a>
        </div>
    </div>
@if ($message = Session::get('success'))
<div class="alert alert-success">
    <p>{{ $message }}</p>
</div>
@endif
<!--Movie Card End-->

<!--Reviews Page-->
@foreach ($movies as $Movie)
    <div class="card text-center">
        <div class="card-body border border-dark">
            <h5 class="card-title">{{ $Movie->name }}</h5>
            <p class="card-text">{{ $Movie->review }}.</p>
            <p class="">Rating: {{ $Movie->rating }}</p>
            <form action="{{ route('movies.destroy',$Movie->id) }}" method="POST">
                <a class="btn btn-primary" href="{{ route('movies.edit',$Movie->id) }}">Edit</a>
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger">Delete</button>
</div>
    </div>
</div><!--Container Fluid-->
@endforeach
</div>
<!--Reviews Page End-->

resources/views/movies/layout.blade.php
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link href="/css/app.css" rel="stylesheet">
    <title>Movie Review</title>
  </head>
  <body>
    <div class="container">
        @yield('content')
    </div>
    <!-- Optional JavaScript; choose one of the two! -->
    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->
  </body>
</html>